SOURCES += \
    $$PWD/src/stm32f4xx_wwdg.c \
    $$PWD/src/stm32f4xx_usart.c \
    $$PWD/src/stm32f4xx_tim.c \
    $$PWD/src/stm32f4xx_syscfg.c \
    $$PWD/src/stm32f4xx_spi.c \
    $$PWD/src/stm32f4xx_sdio.c \
    $$PWD/src/stm32f4xx_rtc.c \
    $$PWD/src/stm32f4xx_rng.c \
    $$PWD/src/stm32f4xx_rcc.c \
    $$PWD/src/stm32f4xx_pwr.c \
    $$PWD/src/stm32f4xx_iwdg.c \
    $$PWD/src/stm32f4xx_i2c.c \
    $$PWD/src/stm32f4xx_hash_sha1.c \
    $$PWD/src/stm32f4xx_hash_md5.c \
    $$PWD/src/stm32f4xx_hash.c \
    $$PWD/src/stm32f4xx_gpio.c \
    $$PWD/src/stm32f4xx_flash.c \
    $$PWD/src/stm32f4xx_exti.c \
    $$PWD/src/stm32f4xx_dma.c \
    $$PWD/src/stm32f4xx_dcmi.c \
    $$PWD/src/stm32f4xx_dbgmcu.c \
    $$PWD/src/stm32f4xx_dac.c \
    $$PWD/src/stm32f4xx_cryp_tdes.c \
    $$PWD/src/stm32f4xx_cryp_des.c \
    $$PWD/src/stm32f4xx_cryp_aes.c \
    $$PWD/src/stm32f4xx_cryp.c \
    $$PWD/src/stm32f4xx_crc.c \
    $$PWD/src/stm32f4xx_can.c \
    $$PWD/src/stm32f4xx_adc.c \
    $$PWD/src/misc.c \
    $$PWD/src/stm32f4xx_spdifrx.c \
    $$PWD/src/stm32f4xx_sai.c \
    $$PWD/src/stm32f4xx_qspi.c \
    $$PWD/src/stm32f4xx_ltdc.c \
    $$PWD/src/stm32f4xx_lptim.c \
    $$PWD/src/stm32f4xx_fmpi2c.c \
    $$PWD/src/stm32f4xx_flash_ramfunc.c \
    $$PWD/src/stm32f4xx_dsi.c \
    $$PWD/src/stm32f4xx_dma2d.c \
    $$PWD/src/stm32f4xx_dfsdm.c \
    $$PWD/src/stm32f4xx_cec.c
    
contains( CPU , STM32F429_439xx ){
    SOURCES += \
        $$PWD/src/stm32f4xx_fmc.c 
        
    HEADERS += \
        $$PWD/inc/stm32f4xx_fmc.h 
}
contains( CPU , STM32F40_41xxx ){
    SOURCES += \
        $$PWD/src/stm32f4xx_fsmc.c

    HEADERS += \
        $$PWD/inc/stm32f4xx_fsmc.h
}

HEADERS += \
    $$PWD/inc/system_stm32f4xx.h \
    $$PWD/inc/stm32f4xx.h \
    $$PWD/inc/stm32f4xx_wwdg.h \
    $$PWD/inc/stm32f4xx_usart.h \
    $$PWD/inc/stm32f4xx_tim.h \
    $$PWD/inc/stm32f4xx_syscfg.h \
    $$PWD/inc/stm32f4xx_spi.h \
    $$PWD/inc/stm32f4xx_spdifrx.h \
    $$PWD/inc/stm32f4xx_sdio.h \
    $$PWD/inc/stm32f4xx_sai.h \
    $$PWD/inc/stm32f4xx_rtc.h \
    $$PWD/inc/stm32f4xx_rng.h \
    $$PWD/inc/stm32f4xx_rcc.h \
    $$PWD/inc/stm32f4xx_qspi.h \
    $$PWD/inc/stm32f4xx_pwr.h \
    $$PWD/inc/stm32f4xx_ltdc.h \
    $$PWD/inc/stm32f4xx_lptim.h \
    $$PWD/inc/stm32f4xx_iwdg.h \
    $$PWD/inc/stm32f4xx_i2c.h \
    $$PWD/inc/stm32f4xx_hash.h \
    $$PWD/inc/stm32f4xx_gpio.h \
    $$PWD/inc/stm32f4xx_fmpi2c.h \
    $$PWD/inc/stm32f4xx_flash.h \
    $$PWD/inc/stm32f4xx_flash_ramfunc.h \
    $$PWD/inc/stm32f4xx_exti.h \
    $$PWD/inc/stm32f4xx_dsi.h \
    $$PWD/inc/stm32f4xx_dma2d.h \
    $$PWD/inc/stm32f4xx_dma.h \
    $$PWD/inc/stm32f4xx_dfsdm.h \
    $$PWD/inc/stm32f4xx_dcmi.h \
    $$PWD/inc/stm32f4xx_dbgmcu.h \
    $$PWD/inc/stm32f4xx_dac.h \
    $$PWD/inc/stm32f4xx_cryp.h \
    $$PWD/inc/stm32f4xx_crc.h \
    $$PWD/inc/stm32f4xx_cec.h \
    $$PWD/inc/stm32f4xx_can.h \
    $$PWD/inc/stm32f4xx_adc.h \
    $$PWD/inc/misc.h

